DhMakePerl(3pm)

NAME
DhMakePerl - create Debian source package from CPAN dist

VERSION
Version 0.90

SYNOPSIS
    use DhMakePerl;

    DhMakePerl->run;

ACCESSORS

apt_contents
    Stores the cached copy of Debian::AptContents.

cfg Stores the configuration, an instance of DhMakePerl::Config

CLASS METHODS

run( %init )
    Runs DhMakePerl.

    Unless the %init contains an cfg member, constructs and instance of DhMakePerl::Config and assigns it to $init{cfg}.

    Then determines the dh-make-perl command requested (via cfg->command), loads the appropriate DhMakePerl::Command::$command class, constructs an instance of it and calls its execute method.

get_apt_contents
    Returns (possibly cached) instance of Debian::AptContents.

COPYRIGHT & LICENSE

Copyright (C) 2009, 2010 Damyan Ivanov <dmn@debian.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.